<?php

namespace Drupal\Tests\dosd\Kernel;

use Drupal\dosd\Entity\CreditEntity;
use Drupal\KernelTests\KernelTestBase;

/**
 * Test for plugin.manager.dosd.parser.
 *
 * @coversDefaultClass \Drupal\dosd\CreditParsersManager
 */
class CreditParserManagerTest extends KernelTestBase {

  /**
   * The service under test.
   *
   * @var \Drupal\dosd\CreditParsersManager
   */
  protected $parserManager;

  /**
   * The modules to load to run the test.
   *
   * @var array
   */
  public static $modules = ['dosd', 'dosd_test', 'user'];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();

    $this->installEntitySchema('credit_entity');
    $this->installEntitySchema('user');

    $this->parserManager = \Drupal::service('plugin.manager.dosd.parser');
  }

  /**
   * @covers ::collectCredits
   */
  public function testCollectCredits() {
    $this->parserManager->collectCredits();
    $credits = CreditEntity::loadMultiple();
    foreach ($credits as $credit) {
      $link = $credit->get('link')->getString();
      $this->assertSame('https://drupal.org/i/fakeid', $link);
    }
  }

}
